﻿using System;

namespace CollectionSample
{
    class Person : IComparable<Person>
    {
        public String Name { get; set; }
        public Int32 Age { get; set; }

        public Int32 CompareTo(Person other)
        {
            Int32 result = Name.CompareTo(other.Name);
            if (result == 0)
                result = Age.CompareTo(other.Age);
            return result;
        }

        public override string ToString()
        {
            return String.Format("{0} ({1})", Name, Age);
        }
    }
}
